Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Translations Estimated time: 0.00 hour
Target version: 422

Description

Attached you may find latest updates to German localization.
Thanks for considering my patch!

During my translation work, | came across two quirks in en.yml that | woul dlike to report:

A)

notice_invalid_watcher: "Invalid watcher: User will not receive any notifications because it does

not have access to view this object."

| think the term permission is more appropriate than access here.

Proposal: "Invalid watcher: User will not receive any notifications because he does not have permission to view this object."

B)

error_attachments_too_many: "This file cannot be uploaded because it exceeds the maximum number of
files that can be attached simultaneously (%{max_number_of_files})"

| think the passive form is more appropriate here:

Proposal: "This file cannot be uploaded because the maximum number of files that can be attached simultaneously
(%o{max_number_of_files}) was exceeded".

Related issues:
Copied from Redmine - Patch #33104: I118N: latest message texts for German lan... Closed

Associated revisions

Revision 20996 - 2021-05-12 15:57 - Go MAEDA
German translation update (#35051).

Patch by Andreas Deininger.

Revision 20997 - 2021-05-12 15:59 - Go MAEDA
Merged r20996 from trunk to 4.2-stable (#35051).

History

#1 - 2021-04-07 17:35 - Andreas Deininger
- Copied from Patch #33104: 118N: latest message texts for German language added

#2 - 2021-04-08 14:48 - Bernhard Rohloff
- File i18n_de_fixed.diff added

Overall the translation is very good. | only found one small mistake while reviewing the patch.

notice_invalid_watcher: 'Ungiiltiger Beobachter: Benutzer wird keine Benachrichtigungen erhalten,
da er keine iUber keine Leseberechtigung fiir dieses Objekt verfiigt.'
... should be corrected to ...

notice_invalid_watcher: 'Ungliltiger Beobachter: Benutzer wird keine Benachrichtigungen erhalten,

da er keine tiber keine Leseberechtigung fiir dieses Objekt verfiigt.'

| attach a fixed version of Andreas' patch.

#3 - 2021-05-12 06:34 - Go MAEDA

- Subject changed from 118N: latest message texts for German language to German translation update for 4.2-stable

- Assignee deleted (Go MAEDA)

- Target version set to 4.2.2

Setting the target version to 4.2.2.

#4 - 2021-05-12 15:59 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

Files
i18n_de.diff 6.7 KB 2021-04-07 Andreas Deininger
i18n_de_fixed.diff 6.69 KB 2021-04-08 Bernhard Rohloff
